# Delete Tokens

### Delete Tokens <a href="#toc135036448" id="toc135036448"></a>

You can delete any tokens generated in Firstoken. The delete process receives a valid array with tokens and delete its from the vault. This process is **permanent**

{% tabs %}
{% tab title="cUrl" %}
**DELETE /v1/tokens/**

```
curl -X DELETE https://api.firstoken.co/v1/tokens \
-H 'x-api-key: YOUR_API_KEY' \
-H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Attributes of the request" %}
**tokens:** *\[string]*

> An array of valid Tokens.
>
> Example: \["4242428805134242", "5555557860534444"]
> {% endtab %}
> {% endtabs %}

<details>

<summary>Example JSON Request Body</summary>

```json
{
    "tokens":["4242428805134242", "5555557860534444"]
}
```

</details>

<details>

<summary>Example JSON Response</summary>

```json
{
    "status_code": 200,
    "status": "success",
    "desc": "Success",
    "data": {
        "tokens": [
            {
                "id": "4242428805134242",
                "status": "success"
            },
            {
                "id": "5555557860534444",
                "status": "success"
            }
        ]
    }
}
```

</details>
